# MSP::CCS::EllipsoidLibrary Class Reference

`#include <EllipsoidLibrary.h>`

List of all members.

## Public Member Functions

| EllipsoidLibrary (EllipsoidLibraryImplementation *__ellipsoidLibraryImplementation)
| EllipsoidLibrary (const EllipsoidLibrary &e)
EllipsoidLibrary & | operator= (const EllipsoidLibrary &e)
| ~EllipsoidLibrary (void)
void | defineEllipsoid (const char *code, const char *name, double semiMajorAxis, double flattening)
void | removeEllipsoid (const char *code)
void | getEllipsoidCount (long *count)
void | getEllipsoidIndex (const char *code, long *index)
void | getEllipsoidInfo (const long index, char *code, char *name)
void | getEllipsoidParameters (const long index, double *a, double *f)

## Detailed Description

Definition at line 109 of file EllipsoidLibrary.h.

## Constructor & Destructor Documentation

EllipsoidLibrary::EllipsoidLibrary | ( | EllipsoidLibraryImplementation * | __ellipsoidLibraryImplementation | ) |

Definition at line 124 of file EllipsoidLibrary.cpp.

EllipsoidLibrary::EllipsoidLibrary | ( | const EllipsoidLibrary & | e | ) |

Definition at line 135 of file EllipsoidLibrary.cpp.

EllipsoidLibrary::~EllipsoidLibrary | ( | void |  | ) |

Definition at line 141 of file EllipsoidLibrary.cpp.

## Member Function Documentation

void EllipsoidLibrary::defineEllipsoid | ( | const char * | code,
|  | const char * | name,
|  | double | semiMajorAxis,
|  | double | flattening |
| ) |  |  |

Definition at line 158 of file EllipsoidLibrary.cpp.

void EllipsoidLibrary::getEllipsoidCount | ( | long * | count | ) |

Definition at line 197 of file EllipsoidLibrary.cpp.

void EllipsoidLibrary::getEllipsoidIndex | ( | const char * | code,
|  | long * | index |
| ) |  |  |

Definition at line 211 of file EllipsoidLibrary.cpp.

void EllipsoidLibrary::getEllipsoidInfo | ( | const long | index,
|  | char * | code,
|  | char * | name |
| ) |  |  |

Definition at line 228 of file EllipsoidLibrary.cpp.

void EllipsoidLibrary::getEllipsoidParameters | ( | const long | index,
|  | double * | a,
|  | double * | f |
| ) |  |  |

Definition at line 246 of file EllipsoidLibrary.cpp.

EllipsoidLibrary & EllipsoidLibrary::operator= | ( | const EllipsoidLibrary & | e | ) |

Definition at line 147 of file EllipsoidLibrary.cpp.

void EllipsoidLibrary::removeEllipsoid | ( | const char * | code | ) |

Definition at line 179 of file EllipsoidLibrary.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/EllipsoidLibrary.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/EllipsoidLibrary.cpp